/***
Пакет seaweed предназначен для облегчения работы с БД sea
и weed.
Текущая версия: v1.0.7
***/

package seaweed

import (
	"os"
	"testing"

	_ "github.com/go-sql-driver/mysql"
)

func TestConnect(t *testing.T) {
	t.Run("проверка создания", func(t *testing.T) {
		user := os.Getenv("SEA_USER")
		if user == "" {
			t.Errorf("Не установлена env-переменная SEA_USER")
		}

		password := os.Getenv("SEA_PASSWORD")
		if password == "" {
			t.Errorf("Не установлена env-переменная SEA_PASSWORD")
		}

		// создание с признаком отладки
		sea, err := Connect(true)
		if err != nil {
			t.Errorf("Ошибка создания: %v", err)
		}

		if sea.debug == false {
			t.Errorf("Не установлен признак отладки")
		}

		// штатное создание
		sea2, err := Connect()
		if err != nil {
			t.Errorf("Ошибка создания: %v", err)
		}

		if sea2.debug == true {
			t.Errorf("Не правильно установлен признак отладки")
		}
	})
}

func TestAlbums(t *testing.T) {
	t.Run("проверка получения списка альбомов", func(t *testing.T) {
		// создание с признаком отладки
		sea, err := Connect(true)
		if err != nil {
			t.Errorf("Ошибка создания: %v", err)
		}

		albums, err := sea.Albums()
		if err != nil {
			t.Errorf("Ошибка albums: %v", err)
		}

		if len(albums) == 0 {
			t.Errorf("Получен пустой список альбомов")
		}
	})
}
